Admin

List sandbox templates (admin)

Returns all SandboxTemplate resources. Admin callers see every template regardless of origin; optional `team` / `user` query parameters narrow results to templates accessible by a specific identity.

GET
/admin/sandbox-templates

Returns all SandboxTemplate resources. Admin callers see every template regardless of origin; optional team / user query parameters narrow results to templates accessible by a specific identity.

Authorization

AdminKeyAuth
AGENTBOX-API-KEY<token>

Admin-level API key. Same header as ApiKeyAuth but requires admin role.

In: header

Query Parameters

team?string

Filter by team.

user?string

Filter by user.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://admin/sandbox-templates"
{  "items": [    {      "name": "string",      "version": "string",      "description": "string",      "createdAt": "2019-08-24T14:15:22Z",      "cpu": "string",      "memory": "string",      "syncSource": "string",      "runtimeNames": [        "string"      ],      "hasDocs": true    }  ],  "total": 0,  "limit": 0,  "offset": 0}
{  "error": "string",  "errorCode": "API_KEY_REQUIRED",  "detail": null}
{  "error": "string",  "errorCode": "API_KEY_REQUIRED",  "detail": null}
{  "error": "string",  "errorCode": "API_KEY_REQUIRED",  "detail": null}